#ifndef POLKITACTIONPROVIDERHELPER_H
#define POLKITACTIONPROVIDERHELPER_H

#include <QString>

#include <fly-admin-printer_export.h>

class QVariant;

class CupsPkHelperInterface;
class AuthAgent;

class FLY_ADMIN_PRINTER_EXPORT PolKitActionProviderHelper
{
public:
    PolKitActionProviderHelper();

    bool getAuthForAction(const QString &action);
    bool callHelperAction(const QString &action, const QList<QVariant> &args);

private:
    CupsPkHelperInterface *cupsHelper_;
    AuthAgent *authHelper_;
};

#endif // POLKITACTIONPROVIDERHELPER_H
