#ifndef ISECURITYPLUGIN_H
#define ISECURITYPLUGIN_H

#include <QtPlugin>

class ISecurityPropertyTab;
class ISecurityPropertyConfigTab;

class ISecurityPlugin
{
public:
    virtual ~ISecurityPlugin() {}

    virtual ISecurityPropertyTab* createSecurityPropertyTab() = 0;
    virtual ISecurityPropertyConfigTab* createSecurityPropertyConfigTab() = 0;
};

Q_DECLARE_INTERFACE(ISecurityPlugin, "ru.rusbitech.fly-admin-printer.ISecurityPlugin/1.0")

#endif // ISECURITYPLUGIN_H
