#ifndef ISECURITYPROPERTYCONFIGTAB_H
#define ISECURITYPROPERTYCONFIGTAB_H

#include <QString>
#include <QMap>

class ISecurityPropertyConfigTab
{
public:
    ~ISecurityPropertyConfigTab() {}

    virtual QString name() const = 0;
    virtual QWidget* toWidget() = 0;

    virtual bool setProperty(const QString& key, const QString& value) = 0;
    virtual QMap<QString, QString> getProperties() const = 0;
};

#endif // ISECURITYPROPERTYCONFIGTAB_H
